Bug 182775 - post install script error: No theme index file in "/usr/share/icons/hicolor"
post install script error: No theme index file in "/usr/share/icons/hicolor"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-24 09:46 EST by Phil Knirsch
Modified: 2015-03-04 20:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:23:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2006-02-24 09:46:39 EST
A bug has been found in the post install script of this package during an automated install/removal test using yum on an empty changeroot.
Packageversion: eclipse-platform-3.1.2-1jpp_7fc.i386
Proposed fix: PreReq: hicolor-icon-theme
Comment 1 Andrew Overholt 2006-02-24 11:10:37 EST
But this [1] says:

  "Note that no dependencies should be added for this. If gtk-update-icon-cache
is not available, there's nothing that would be needing the cache update. Not
adding the dependency on gtk-update-icon-cache (ie. gtk2 >= 2.6.0) makes it
easier to use the package (or the same specfile) on systems where it's not
available nor needed, such as older distro versions or (very) trimmed down
installations."


[1]
http://fedoraproject.org/wiki/ScriptletSnippets#head-fc74f078205565f961f6d836b77c3428619c689d
Comment 2 Phil Knirsch 2006-02-27 13:10:54 EST
Sorry for being a little unclear about the bug.

It's not about gtk-update-icon-cache not being available but that
gtk-update-icon-cache is run despite the fact that there is no
/usr/share/icons/hicolor/index.theme (which is owned by the package
hicolor-icon-theme, therefore the request to make a prereq to that package).

There are 2 other possible fixes for this:

1) Check in the script wether /usr/share/icons/hicolor/index.theme is there at
all and don't run gtk-update-icon-cache if it isn't

or

2) Run gtk-update-icon-cache with the --ignore-theme-index (although that would
index the whole icons every time, so not recommended).

Read ya, Phil
Comment 3 John Thacker 2006-04-22 00:34:24 EDT
Setting to correct component, eclipse.
Comment 4 Andrew Overholt 2006-10-05 16:07:49 EDT
Is this still valid?
Comment 5 Bug Zapper 2008-04-03 13:01:18 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 20:23:26 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.